Class ListPoliciesGrantedRequest
java.lang.Object
com.eqixiac.equinix.sts.model.json.creators.ListPoliciesGrantedRequest
Request body for
POST /v1/accessPoliciesGranted (operationId
listAccessPoliciesGranted, spec schema ListPoliciesGrantedInput) — lists the
access policies granted to the subject identified by a token within a project.-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionSets the maximum number of results per page.Sets the opaque page token from a prior response.Sets the project identifier (required).subjectToken(String subjectToken) Sets the ID or access token identifying the subject to list granted policies for (required).subjectTokenType(String subjectTokenType) Sets the subject token type (required), e.g.
-
Constructor Details
-
ListPoliciesGrantedRequest
public ListPoliciesGrantedRequest()
-
-
Method Details
-
projectId
Sets the project identifier (required).- Parameters:
projectId- the project id- Returns:
- this request for chaining
-
subjectToken
Sets the ID or access token identifying the subject to list granted policies for (required).- Parameters:
subjectToken- the subject token- Returns:
- this request for chaining
-
subjectTokenType
Sets the subject token type (required), e.g.urn:ietf:params:oauth:token-type:id_token.- Parameters:
subjectTokenType- the subject token type- Returns:
- this request for chaining
-
pageSize
Sets the maximum number of results per page.- Parameters:
pageSize- the page size- Returns:
- this request for chaining
-
pageToken
Sets the opaque page token from a prior response.- Parameters:
pageToken- the page token- Returns:
- this request for chaining
-